/* CUSTOM SCHEDULAR HEADER */
.sdlr-header.sdlr-header-wrapper {
  background-color: #F5F5F5;
  height: 47px;
  /*border-bottom: 1px solid #dadada;*/
}

.sdlr-header .date-picker-pn-btn {
  width: 26px;
  height: 26px;
  background: #575757;
  border: none;
  text-align: center;
  padding: 0;
  margin: 0;
  color: #fff;
  border-radius: 4px;
}

.sdlr-header .selected-date-wrapper.week-view {
  width: 265px !important;
  font-size: 13px;
}

.sdlr-header .selected-date-wrapper {
  width: 145px;
  height: 26px;
  background: #fff;
  border: none;
  border-radius: 4px;
  font-size: 14px;
  margin-left: 6px;
  margin-right: 6px;
  box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.25);
  padding: 0 4px 0 4px;
}

.sdlr-header .today-other-action-wrapper {
  position: relative;
}

.sdlr-header .today-btn {
  width: 50px;
  height: 26px;
  background: #fff;
  border: none;
  text-align: center;
  padding: 0;
  margin: 0;
  font-size: 14px;
  border-top-left-radius: 4px;
  border-bottom-left-radius: 4px;
  box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.25);
}

.sdlr-header .ic-down-wrapper {
  box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.25);
}

.sdlr-header .pn-icon {
  font-size: 24px;
  line-height: 24px;
  margin: 1px;
}

.sdlr-header .cal-icon {
  margin-right: 4px;
  font-size: 14px;
  width: 15px !important;
  height: 16px !important;
}

.sdlr-header .remove-left-border-radius {
  border-top-left-radius: 0 !important;
  border-bottom-left-radius: 0 !important;
}

.sdlr-header .sdlr-view-btn-wrapper {
  width: 173px;
  height: 26px;
  background: #fff;
  box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.25);
}

.sdlr-header .sdlr-view-btn {
  background: none;
  border: none;
  border-radius: 0;
  color: #000;
}

.sdlr-header .sdlr-view-btn:disabled {
  color: #C0C0C0;
}

.sdlr-header .sdlr-view-btn-seperator {
  border-left: 1px solid #979797;
  margin: 5px 0 5px 0;
}

.sdlr-header .sdlr-view-btn.selected {
  border-radius: 4px;
  background: #575757;
  color: #fff;
}

.sdlr-header .eod-btn {
  width: 42px;
  height: 26px;
  background: #ffffff;
  border: none;
  border-radius: 2px;
  padding: 0;
  margin: 0 4px 0 10px;
  box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.25);
}

.sdlr-header .extra-option-icon {
  width: auto !important;
  height: auto !important;
  font-size: 34px;
}

.date-action-popup {
  margin-top: -14px;
}

.date-action-popup .dx-popover-arrow {
  display: none;
}

.date-action-list-item {
  width: 100%;
  height: 40px;
  font-size: 16px;
  color: #939393;
  padding: 10px 0 9px 0 !important;
  border: none;
  border-bottom: 1px solid #CDCDCD;
  background: none;
}

.list-item-wrapper:hover {
  background: #ededed !important;
}

.list-item-wrapper {
  padding: 0 10px 0 10px !important;
  cursor: pointer;
}

.remove-border {
  border: 0 !important;
}

.eo-item-container {
  background: none;
  border: none;
  height: 40px;
  padding: 0 10px 0 10px;
  border-bottom: 1px solid #DBDBDB;
}

.eo-item-container:hover {
  background: #ededed !important;
}

.eo-title {
  font-size: 16px;
  color: #575757;
  padding-left: 10px;
}

/* EXTRA OPTION POPOVER STYLE */
.sdlr_popup.dx-popup-normal {
  background: #FAFAFA !important;
  border-radius: 10px !important;
  border: 1px solid #DBDBDB !important;
}

.sdlr_popup .dx-popup-arrow::after {
  background: #FAFAFA !important;
}

.sdlr_popup .dx-popup-content {
  padding: 0 !important;
}

.sdlr-header .dx-calendar-body tbody td.dx-calendar-cell.selected-week {
  background: rgba(48, 122, 250, 0.25);
  border-radius: 0;
}

.sdlr-header .date-selection-popup {
  width: 258px;
  height: 256px;
  background: #FBFBFB;
  border-radius: 0;
  border: none;
}

.sdlr-header .date-picker-popup-wrapper {
  z-index: 11111 !important;
}

.sdlr-header .calendar-popup.dx-calendar {
  width: 239px;
  min-width: 239px;
  height: 226px;
  min-height: 226px;
  background: transparent;
}

.sdlr-header .calendar-popup .dx-calendar-body {
  top: 36px;
}

.sdlr-header .calendar-popup .dx-calendar-body thead tr th {
  box-shadow: none !important;
}

.sdlr-header .calendar-popup .dx-calendar-navigator {
  width: 100%;
  height: 29px;
  max-height: 29px;
  background: #f6f6f6;
}

.sdlr-header .calendar-popup .dx-calendar-cell {
  color: #484848;
  padding: 0;
  border: none;
}

.sdlr-header .calendar-popup .dx-calendar-cell:hover {
  background: #FBFBFB !important;
  border-radius: 0;
  box-shadow: none;
}

.sdlr-header .calendar-popup .calender-tmplt-cell {
  width: 100%;
  height: 24px;
}

.sdlr-header .calendar-popup .calender-tmplt-cell-text {
  font-size: 12px;
  width: 24px;
  height: 24px;
}

.sdlr-header .calendar-popup .calender-tmplt-cell-text:hover {
  background: rgba(48, 122, 250, 0.25);
  border-radius: 100%;
}

.sdlr-header .calendar-popup .dx-calendar-cell.dx-calendar-selected-date .calender-tmplt-cell-text,
.sdlr-header .dx-calendar-cell.dx-calendar-selected-date.dx-calendar-today .calender-tmplt-cell-text {
  background: #307AFA;
  border-radius: 100%;
  color: #fff;
}

.sdlr-header .calendar-popup .dx-calendar-cell.dx-calendar-selected-date,
.sdlr-header .dx-calendar-cell.dx-calendar-selected-date.dx-calendar-today {
  box-shadow: none;
}

.sdlr-header .calendar-popup .dx-calendar-cell.dx-calendar-selected-date.dx-calendar-contoured-date,
.sdlr-header .dx-calendar-cell.dx-calendar-selected-date.dx-calendar-today.dx-calendar-contoured-date {
  box-shadow: none;
}

.sdlr-header .calendar-popup .dx-calendar-navigator a {
  background: none;
  border: none;
  border-radius: 0;
}

.sdlr-header .calendar-popup .dx-calendar-navigator a:nth-child(2) {
  text-transform: capitalize;
}

.sdlr-header .calendar-popup .dx-calendar-navigator a:nth-child(2) .dx-button-content .dx-button-text {
  color: #484848 !important;
}

.sdlr-header .calendar-popup .cal-popup-pn-ic {
  color: #484848;
  margin: 1px;
}

.sdlr-header .current-hover-date-week-date {
  background: rgba(48, 122, 250, 0.25);
}

.sdlr-header .mon-week-tooltip {
  font-size: 11px !important;
}

/* SCHEDULER LEGENDS */
.scheduler-legend-dialog .k-content {
  padding: 0;
}

.scheduler-legend-dialog .content-container {
  background: #494949;
  font-size: 16px;
  line-height: 18.77px;
  color: #ffffff;
  padding: 15px 30px;
  margin: 20px;
}

.scheduler-legend-dialog .content-container .legend-container {
  padding-top: 20px;
}

.scheduler-legend-dialog .content-container .legend-container .legend-icon-container {
  width: 20px;
}

.scheduler-legend-dialog .content-container .legend-title {
  padding-left: 20px;
}

.scheduler-legend-dialog .content-container .content-part-title {
  border-bottom: 1px solid rgba(171, 170, 176, 0.5);
  margin-right: 30px;
}
